Package com.explodingpixels.macwidgets

## Class ComponentBottomBar.SplitterHandleMouseMovementHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - com.explodingpixels.macwidgets.ComponentBottomBar.SplitterHandleMouseMovementHandler

All Implemented Interfaces:
  `java.awt.event.MouseListener`, `java.awt.event.MouseMotionListener`, `java.awt.event.MouseWheelListener`, `java.util.EventListener`

Enclosing class:
  ComponentBottomBar

    protected class ComponentBottomBar.SplitterHandleMouseMovementHandler
    extends java.awt.event.MouseAdapter
    implements java.awt.event.MouseMotionListener

### Constructor Summary

Constructors
`protected` `SplitterHandleMouseMovementHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mouseDragged​(java.awt.event.MouseEvent e)`
`void` `mouseMoved​(java.awt.event.MouseEvent e)`
`void` `mousePressed​(java.awt.event.MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseEntered, mouseExited, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SplitterHandleMouseMovementHandler

    protected SplitterHandleMouseMovementHandler()

### Method Detail

#### mousePressed

    public void mousePressed​(java.awt.event.MouseEvent e)

Specified by:
  `mousePressed` in interface `java.awt.event.MouseListener`
Overrides:
  `mousePressed` in class `java.awt.event.MouseAdapter`

#### mouseDragged

    public void mouseDragged​(java.awt.event.MouseEvent e)

Specified by:
  `mouseDragged` in interface `java.awt.event.MouseMotionListener`
Overrides:
  `mouseDragged` in class `java.awt.event.MouseAdapter`

#### mouseMoved

    public void mouseMoved​(java.awt.event.MouseEvent e)

Specified by:
  `mouseMoved` in interface `java.awt.event.MouseMotionListener`
Overrides:
  `mouseMoved` in class `java.awt.event.MouseAdapter`